Loading...
Searching...
No Matches
mce::CoroutineScheduler::Task Struct Reference

Represents a single scheduled task. More...

`#include <CoroutineScheduler.hpp>`

## Public Attributes

Callback | callback
sf::Time | interval
sf::Clock | clock

## Detailed Description

Represents a single scheduled task.

Holds the callback to invoke, the next execution interval, and a clock used to measure elapsed time since the last invocation.

## Member Data Documentation

## callback

Callback mce::CoroutineScheduler::Task::callback

Task callback invoked when interval elapses.

## clock

sf::Clock mce::CoroutineScheduler::Task::clock

Clock used to measure elapsed time for this task.

## interval

sf::Time mce::CoroutineScheduler::Task::interval

Time interval until the next invocation.

The documentation for this struct was generated from the following file:

- Core/CoroutineScheduler.hpp